<?php
/*
This file is part of Shokado Web Sharing Tool for Bento.

Shokado Web Sharing Tool for Bento is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Shokado Web Sharing Tool for Bento is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Shokado Web Sharing Tool for Bento.  If not, see <http://www.gnu.org/licenses/>.
*/
class ABPerson {
	private $zuniqueid; 

	private $lastname; 

	private $firstname;
	private $company;

	private $workphone;

	public function __construct($zuniqueid) { 
		$this->zuniqueid = $zuniqueid; 
	}
	
	public function getLastName()
	{
		return $this->lastname; 
	}
	
	public function getFirstName()
	{
		return $this->firstname; 
	}
	
	public function getCompany()
	{
		return $this->company; 
	}
	
	public function getWorkPhone()
	{
		return $this->workphone; 
	}

	public function Load()
	{
		global $abDB;
		$db = new PDO($abDB,0666,&$error);
		$sql="SELECT ZFIRSTNAME, ZLASTNAME, ZORGANIZATION, ZABCDPHONENUMBER.ZFULLNUMBER from ZABCDRECORD 
		LEFT OUTER JOIN ZABCDPHONENUMBER ON ZABCDRECORD.Z_PK=ZABCDPHONENUMBER.ZOWNER
		WHERE ZABCDRECORD.ZUNIQUEID=\"".$this->zuniqueid."\" AND ZABCDPHONENUMBER.ZLABEL LIKE \"%<Work%\" LIMIT 1";
				
		$result = $db->query($sql);
		$row = $result->fetch(PDO::FETCH_ASSOC);
		$this->firstname= $row["ZFIRSTNAME"];
		$this->lastname= $row["ZLASTNAME"];
		$this->company= $row["ZORGANIZATION"];
		$this->workphone= $row["ZFULLNUMBER"];
	}

}
?>